gtkmm: Gtk::Border Class Reference

gtkmm 4.23.2

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Symbols | List of all members
Gtk::Border Class Reference

This specifies a border around a rectangular area that can be of a different width on each side. More...

`#include <gtkmm/border.h>`

## Public Member Functions
| Border ()
| Border (GtkBorder * gobject, bool make_a_copy=true)
| Border (const Border & other)
Border & | operator= (const Border & other)
| Border (Border && other) noexcept
Border & | operator= (Border && other) noexcept
| ~Border () noexcept
void | swap (Border & other) noexcept
GtkBorder * | gobj ()
| Provides access to the underlying C instance.
const GtkBorder * | gobj () const
| Provides access to the underlying C instance.
GtkBorder * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
int | get_left () const
| Get the width of the left border.
void | set_left (const int & value)
| Set the width of the left border.
int | get_right () const
| Get the width of the right border.
void | set_right (const int & value)
| Set the width of the right border.
int | get_top () const
| Get the width of the top border.
void | set_top (const int & value)
| Set the width of the top border.
int | get_bottom () const
| Get the width of the bottom border.
void | set_bottom (const int & value)
| Set the width of the bottom border.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Attributes
GtkBorder * | gobject_

## Related Symbols
(Note that these are not member symbols.)
void | swap (Border & lhs, Border & rhs) noexcept
Gtk::Border | wrap (GtkBorder * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This specifies a border around a rectangular area that can be of a different width on each side.

## Constructor & Destructor Documentation

## ◆ Border() [1/4]

Gtk::Border::Border | ( |  | ) |

## ◆ Border() [2/4]

Gtk::Border::Border | ( | GtkBorder * | gobject,
|  | bool | make_a_copy = true )
| explicit

## ◆ Border() [3/4]

Gtk::Border::Border | ( | const Border & | other | ) |

## ◆ Border() [4/4]

Gtk::Border::Border | ( | Border && | other | ) |
| noexcept

## ◆ ~Border()

Gtk::Border::~Border | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ get_bottom()

int Gtk::Border::get_bottom | ( |  | ) | const

Get the width of the bottom border.

## ◆ get_left()

int Gtk::Border::get_left | ( |  | ) | const

Get the width of the left border.

## ◆ get_right()

int Gtk::Border::get_right | ( |  | ) | const

Get the width of the right border.

## ◆ get_top()

int Gtk::Border::get_top | ( |  | ) | const

Get the width of the top border.

## ◆ get_type()

GType Gtk::Border::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkBorder * Gtk::Border::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkBorder * Gtk::Border::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## ◆ gobj_copy()

GtkBorder * Gtk::Border::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

## ◆ operator=() [1/2]

Border & Gtk::Border::operator= | ( | Border && | other | ) |
| noexcept

## ◆ operator=() [2/2]

Border & Gtk::Border::operator= | ( | const Border & | other | ) |

## ◆ set_bottom()

void Gtk::Border::set_bottom | ( | const int & | value | ) |

Set the width of the bottom border.

## ◆ set_left()

void Gtk::Border::set_left | ( | const int & | value | ) |

Set the width of the left border.

## ◆ set_right()

void Gtk::Border::set_right | ( | const int & | value | ) |

Set the width of the right border.

## ◆ set_top()

void Gtk::Border::set_top | ( | const int & | value | ) |

Set the width of the top border.

## ◆ swap()

void Gtk::Border::swap | ( | Border & | other | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ swap()

void swap | ( | Border & | lhs,
|  | Border & | rhs )
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

## ◆ wrap()

Gtk::Border wrap | ( | GtkBorder * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ gobject_

GtkBorder* Gtk::Border::gobject_
| protected